gi-gdk-3.0.16: Gdk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.WindowRedirect

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype WindowRedirect = WindowRedirect (ManagedPtr WindowRedirect)
- noWindowRedirect :: Maybe WindowRedirect

# Exported types

newtype WindowRedirect Source #

Memory-managed wrapper type.

Constructors

WindowRedirect (ManagedPtr WindowRedirect) |

Instances

WrappedPtr WindowRedirect Source # |
Instance details Defined in GI.Gdk.Structs.WindowRedirect Methods wrappedPtrCalloc :: IO (Ptr WindowRedirect) Source # wrappedPtrCopy :: WindowRedirect -> IO WindowRedirect Source # wrappedPtrFree :: Maybe (FunPtr (Ptr WindowRedirect -> IO ())) Source #

noWindowRedirect :: Maybe WindowRedirect Source #

A convenience alias for `Nothing` :: `Maybe` `WindowRedirect`.